> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Select a Flight

> Select and reprice a specific flight option before booking



## OpenAPI

````yaml api-reference/openapi.json POST /pms/api/external/request/flights/select/
openapi: 3.1.0
info:
  title: PayVessel API
  description: >-
    PayVessel API for accepting payments, sending money, verifying identities,
    and managing wallets
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - {}
paths:
  /pms/api/external/request/flights/select/:
    post:
      tags:
        - Flights
      summary: Select a Flight
      description: >-
        Select a specific flight option and get confirmed, up-to-date pricing.
        Always call this before booking — fares can change between search and
        booking.
      operationId: flightSelect
      parameters:
        - name: api-key
          in: header
          description: Your PayVessel public API key
          required: true
          schema:
            type: string
        - name: api-secret
          in: header
          description: Your PayVessel API secret
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
          example: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlightSelectRequest'
            examples:
              select:
                summary: Select a flight
                value:
                  flightKey: a1b2c3d4e5f6...
      responses:
        '200':
          description: Flight selected successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlightSelectResponse'
              examples:
                success:
                  summary: Confirmed pricing
                  value:
                    status: true
                    message: Flight selected successfully
                    data:
                      flightKey: a1b2c3d4e5f6...
                      airline: Arik Air
                      flightNumber: W3 204
                      origin: LOS
                      destination: ABV
                      departureTime: '2026-08-20T06:30:00'
                      arrivalTime: '2026-08-20T07:45:00'
                      cabinClass: Economy
                      price:
                        amount: 45000
                        currency: NGN
                      fareRules: Non-refundable. Changes allowed with fee.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden — flight booking access not enabled for this business
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Flight service temporarily unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FlightSelectRequest:
      type: object
      required:
        - flightKey
      properties:
        flightKey:
          type: string
          description: The flight key from Search Flights response
    FlightSelectResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
        data:
          type: object
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````